=== modified file 'drizzled/message/include.am'
--- drizzled/message/include.am	2009-12-05 00:32:01 +0000
+++ drizzled/message/include.am	2009-12-05 10:16:20 +0000
@@ -20,7 +20,7 @@
 	${LTLIBINTL} \
 	${top_builddir}/gnulib/libgnu.la
 
-MESSAGE_AM_CXXFLAGS = ${PROTOSKIP_WARNINGS}
+MESSAGE_AM_CXXFLAGS = ${AM_CXXFLAGS} ${PROTOSKIP_WARNINGS}
 TESTS += ${MESSAGE_DIR}/check_length.sh
 
 noinst_PROGRAMS += \
@@ -69,27 +69,35 @@
 
 drizzled_message_binlog_reader_SOURCES = drizzled/message/binlog_reader.cc drizzled/message/binary_log.cc
 drizzled_message_binlog_reader_LDADD = ${MESSAGE_LDADD}
+drizzled_message_binlog_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_binlog_writer_SOURCES = drizzled/message/binlog_writer.cc drizzled/message/binary_log.cc
 drizzled_message_binlog_writer_LDADD = ${MESSAGE_LDADD}
+drizzled_message_binlog_writer_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_schema_reader_SOURCES =  drizzled/message/schema_reader.cc
 drizzled_message_schema_reader_LDADD = ${MESSAGE_LDADD}
+drizzled_message_schema_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_table_reader_SOURCES =  drizzled/message/table_reader.cc
 drizzled_message_table_reader_LDADD = ${MESSAGE_LDADD}
+drizzled_message_table_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_table_raw_reader_SOURCES =  drizzled/message/table_raw_reader.cc
 drizzled_message_table_raw_reader_LDADD = ${MESSAGE_LDADD}
+drizzled_message_table_raw_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_table_writer_SOURCES =  drizzled/message/table_writer.cc
 drizzled_message_table_writer_LDADD = ${MESSAGE_LDADD}
+drizzled_message_table_writer_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_master_list_writer_SOURCES =  drizzled/message/master_list_writer.cc
 drizzled_message_master_list_writer_LDADD = ${MESSAGE_LDADD}
+drizzled_message_master_list_writer_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_master_list_reader_SOURCES =  drizzled/message/master_list_reader.cc
 drizzled_message_master_list_reader_LDADD = ${MESSAGE_LDADD}
+drizzled_message_master_list_reader_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 drizzled_message_transaction_writer_SOURCES =  drizzled/message/transaction_writer.cc drizzled/message/transaction.pb.cc
 drizzled_message_transaction_writer_LDADD = ${MESSAGE_LDADD} ${top_builddir}/drizzled/hash/libhash.la
@@ -101,6 +109,7 @@
 
 drizzled_message_length_SOURCES = drizzled/message/length.cc
 drizzled_message_length_LDADD = ${MESSAGE_LDADD}
+drizzled_message_length_CXXFLAGS = ${MESSAGE_AM_CXXFLAGS}
 
 EXTRA_DIST += \
 		${MESSAGE_DIR}/schema.proto \

=== modified file 'drizzled/util/convert.cc'
--- drizzled/util/convert.cc	2009-11-26 02:50:58 +0000
+++ drizzled/util/convert.cc	2009-12-05 10:16:20 +0000
@@ -18,6 +18,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
+#include "drizzled/global.h"
+
 #include <drizzled/util/convert.h>
 #include <string>
 #include <iomanip>

